Neidio i'r cynnwys

Tripo3D Segment

Integreiddio

ID y model tripo3d/tripo/segment
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/tripo/segment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Y cais hwn: ≈$0.40 400 o gredydau API · ≈ ₽42.63 Ei redeg ar y dudalen hon

Cael allwedd API
Tripo 3D #stylized#transform

Rhannu model 3D presennol yn rhannau semantig ag enwau a dychwelyd enwau'r rhannau

Tripo · 3D

Mae eich canlyniad cyntaf yn mynd yma

Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.

Adeiladu cais

Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.

•gofynnol

Ffynhonnell segmentiad: model 3D a ddarperir drwy URL, heb fod yn fwy na 150 MB ac wedi'i gadw fel GLB, OBJ, FBX neu STL.

POST /run/tripo3d/tripo/segment?wait=20 dyfynbris → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/tripo/segment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Rhedeg y cais hwn

Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API

Ynglŷn â Tripo3D Segment

Yn derbyn rhwyll o `mesh_url` (GLB, OBJ, FBX neu STL, hyd at 150MB) ac yn ei rhannu'n rannau. Y canlyniad yw model wedi'i segmentu, rendr rhagolwg a rhestr `part_names` pan gaiff ei hadrodd. Gellir trosglwyddo'r enwau hynny i'r model remesh i gadw'r rhannau ar wahân. Nid oes angen gosodiadau eraill.

Paramedrau

EnwMath RhagosodedigCaniateir Disgrifiad
mesh_urlgofynnol
Mathstring
Ffynhonnell segmentiad: model 3D a ddarperir drwy URL, heb fod yn fwy na 150 MB ac wedi'i gadw fel GLB, OBJ, FBX neu STL.
gofynnol

Allbwn

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/tripo/segment",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "base_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "pbr_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "part_names": [
      "string"
    ],
    "rendered_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Eich ffeiliau, eich dewisMae pob outputs[].url yn gopi ar ein storio: wedi'i gadw am byth (telir fesul GB-mis) neu am 7 diwrnod am ddim, yn ôl gosodiad eich cyfrif neu ?storage=.
Yr un siâp ar bob modeltype, url, content_type, width, height a duration, ar gyfer delweddau, fideo a sain fel ei gilydd. Gwrthrych canlyniad y model ei hun yw output.
Meysydd yr allbwn
model_mesh
object {url, content_type, file_name, file_size}Ffeil 3D wedi'i segmentu y mae ei fformat yn dibynnu ar yr hyn y mae Tripo yn ei ddychwelyd: GLB neu FBX.
model_urls
object {glb, fbx, base_model, pbr_model}URLau sy'n pwyntio at amrywiadau 3D amgen o'r model wedi'i segmentu.
part_names
array of stringDynodwyr rhannau y gellir eu defnyddio fel 'part_names' mewn cais ailrwyllo i gadw'r rhannau hynny ar wahân. Dim ond os cânt eu hadrodd gan Tripo yn ystod segmentiad y cynhwysir yr enwau hyn.
rendered_image
object {url, content_type, file_name, file_size} | nullRhagolwg wedi'i rendro sy'n dangos y model 3D wedi'i segmentu.

Mwy o fodelau: 3D

Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/tripo3d/tripo/segment.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt